# xivo-dird
[![Build Status](https://jenkins.wazo.community/buildStatus/icon?job=xivo-dird)](https://jenkins.wazo.community/job/xivo-dird)

xivo-dird is a service to query many directory sources simultaneously using a
simple REST API.


## Translations

To extract new translations:

    % pybabel extract --mapping-file=xivo_dird/babel.cfg --output-file=xivo_dird/messages.pot .

To create new translation catalog:

    % pybabel init -l <locale> --input-file=xivo_dird/messages.pot --output-dir=xivo_dird/translations

To update existing translations catalog:

    % pybabel update --input-file=xivo_dird/messages.pot --output-dir=xivo_dird/translations

Edit file `xivo_dird/translations/<locale>/LC_MESSAGES/messages.po` and compile
using:

    % pybabel compile --directory=xivo_dird/translations


## Docker

The wazopbx/xivo-dird image can be built using the following command:

    % docker build -t wazopbx/xivo-dird .

The `wazopbx/xivo-dird` image contains a configuration file to listen to HTTP
requests on "0.0.0.0". To change this behavior, create or edit the file
`/etc/xivo-dird/conf.d/listen.yml`

The wazopbx/xivo-dird-db image can be built using the following command:

    % docker build -f contribs/docker/Dockerfile-db -t wazopbx/xivo-dird-db .


Running unit tests
------------------

```
apt-get install libpq-dev python-dev libffi-dev libyaml-dev libldap2-dev libsasl2-dev
pip install tox
tox --recreate -e py27
```


Running integration tests
-------------------------

You need Docker installed.

```
cd integration_tests
pip install -U -r test-requirements.txt
make test-setup
make test
```

For developers, when adding/removing a plugin:

    % make egg-info


### Generate .tx/config

    % tx set --auto-local -r xivo.xivo-dird 'xivo_dird/translations/<lang>/LC_MESSAGES/messages.po' --source-lang en --type PO --source-file xivo_dird/messages.pot --execute


Adding a new database migration
-------------------------------

To add a new migration script for the database use the following command:

   % alembic -c alembic.ini revision -m "<description of the revision>"
